<%@ page language="C#" autoeventwireup="true" inherits="Management_ReportData_ReportDataNew, CardioLog_deploy" validaterequest="false" %>

<html>
<head>
    <meta http-equiv="Pragma" content="no-cache">
    <title>
        <%=CardioLog.API.Localization.getText("$Reporting Data$")%></title>
    <link rel="stylesheet" type="text/css" href="/CardioLog/Styles/2010_general.css">
    </link>
    <style>
        TD
        {
            font-size: 11px;
            font-family: Arial;
        }
        
        .data
        {
            border-bottom: #7b9aad 1px solid;
        }
        .head
        {
            font-weight: bold;
            font-size: 11px;
        }
        .header
        {
            background: #c6cfde;
        }
        .headerTitle
        {
            width: 100%;
            height: 22px;
            border-top: 1px solid #7b9aad;
            border-left: 1px solid #B6C5E5;
            border-bottom: 1px solid #7b9aad;
            border-right: 1px solid #B6C5E5;
            background-color: #C8DBF8;
            padding-left: 5px;
            cursor: default;
        }
        .footer
        {
            background: #c6cfde;
        }
    </style>
    <script src="/CardioLog/Scripts/wwcalendar_2010.aspx"></script>
    <script>
	    window.onload = function() {
	        parent.setCaption('<%=CardioLog.API.Localization.getText("$Administration$")%>', false, '<%=CardioLog.API.Localization.getText("$Reporting Data$")%>');
	    }
	        
		function setDateRange(timeInterval, start, end, title) {
			document.all["txtDateRange"].value = title;
			document.all["txtDate"].value = title;
		}
		function cancelCallback(){}
		
		function openDialog()
		{
             var myJSONObject  = 
	                { "popupArguments":
	                [	{source:"management/reportdata/reportdata", title:"<%=CardioLog.API.Localization.getText("$Choose Date Range$")%>", hideInterval:true, hideDynamic:true, self:parent.self, callback:setDateRange}  ]
	                 };
             parent.PopupManager.ShowPopup("/CardioLog/2010/CLReport/wwcalendar.aspx",394,574,myJSONObject);	
    	}
		function chooseSource()
		{
		    var myJSONObject  = 
		    { "popupArguments":
		    [	{"treeType":0, "selectedSource":null, "multiple":false, "callback":chooseSourcePost, "self":parent.self}  ]
		     };			
             parent.PopupManager.ShowPopup("/CardioLog/2010/Tree/treeChooserCont.aspx",394,400,myJSONObject);
		    
		   
		}
		function chooseSourcePost(entry) {
			var id = entry.oid;
			var name = entry.name; 
			document.all["txtSource"].value = name;
			document.all["txtID"].value = id;
		}
		function ConfirmDelete()
        {
            if (confirm('<%=CardioLog.API.Localization.getText("$Delete History Usage Data Confirm$")%>'))
            {
                document.getElementById('btnConfirmDelete').click();
            }
        }
        function toggleAdvanced()
        {
            if(document.all["advanced"].style.display == "none")
            {
                document.all["advanced"].style.display = "block";
                document.all["advancedTitle"].innerHTML = "<%=CardioLog.API.Localization.getText("$Hide Advanced Options$")%>";
            }
            else
            {
                document.all["advanced"].style.display = "none";
                document.all["advancedTitle"].innerHTML = "<%=CardioLog.API.Localization.getText("$Show Advanced Options$")%>";
            }
        }
    </script>
</head>
<body class="mainBODY blankBODY" scroll="no">
    <div style="width: 100%; height: 100%; overflow: auto;">
        <form id="Form1" method="post" runat="server">
        <table cellpadding="0" cellspacing="0" border="0" width="100%">
            <tbody>
                <tr>
                    <td>
                        <table cellpadding="0" cellspacing="0" border="0" width="100%" class="boxHeader">
                            <tr>
                                <td align="left" style="background: url(/CardioLog/images/2010/ContainerTopLeft.png);
                                    background-repeat: no-repeat; width: 6px">
                                </td>
                                <td class="boxHeaderText" style="background: url(/CardioLog/images/2010/ContainerTopBG.gif);
                                    background-repeat: repeat-x">
                                    &nbsp&nbsp<%=CardioLog.API.Localization.getText("$Reporting Data Cache Configuration$")%>
                                </td>
                                <td align="right" style="background: url(/CardioLog/images/2010/ContainerTopRight.png);
                                    width: 9px">
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td class="boxContentWindow">
                        <table cellspacing="0" cellpadding="5" border="0" class="largeTextB">
                            <tbody>
                                <tr>
                                    <td colspan="2">
                                        <asp:CheckBox ID="chkEnableCaching" runat="server" Text="Enable Reporting Data Caching">
                                        </asp:CheckBox>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <%=CardioLog.API.Localization.getText("$Cache life time in days$")%>:&nbsp;<asp:TextBox
                                            CssClass="inputText" ID="txtDays" runat="server" Style="width: 100px;"></asp:TextBox>&nbsp;&nbsp;
                                    </td>
                                    <td>
                                        <table cellpadding="0" cellspacing="0" border="0">
                                            <tr>
                                                <td>
                                                    <img src="/CardioLog/images/2010/EmptyGreyBtnLeft.gif" style="margin-top: 4px;" />
                                                </td>
                                                <td>
                                                    <asp:Button ID="BtnDeleteCache" runat="server" Text="Clear Cache" OnClick="DeleteReportingDataCache"
                                                        CssClass="2010_GreyButtonSpace"></asp:Button>
                                                </td>
                                                <td>
                                                    <img src="/CardioLog/images/2010/EmptyGreyBtnRight.gif" style="margin-right: 10px;
                                                        margin-top: 4px;" />
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <img src="/CardioLog/images/blank.gif" width="1" height="7" />
                                    </td>
                                </tr>
                                <tr>
                                    <td valign="top">
                                        <table cellpadding="0" cellspacing="0" border="0">
                                            <tr>
                                                <td>
                                                    <img src="/CardioLog/images/2010/EmptyGreyBtnLeft.gif" style="margin-top: 4px;" />
                                                </td>
                                                <td>
                                                    <asp:Button ID="BtnSave" runat="server" Text="Save" OnClick="Save" CssClass="2010_GreyButtonSpace"
                                                        Width="80px"></asp:Button>
                                                </td>
                                                <td>
                                                    <img src="/CardioLog/images/2010/EmptyGreyBtnRight.gif" style="margin-right: 10px;
                                                        margin-top: 4px;" />
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                    </td>
                                    <asp:Label ID="LblError" runat="server" CssClass="error" />
                                </tr>
                            </tbody>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td>
                        <table cellpadding="0" cellspacing="0" border="0" width="100%">
                            <tr>
                                <td height="8" align="left" style="background: url(/CardioLog/images/2010/ContainerBottomLeft.gif);
                                    background-repeat: no-repeat; width: 6px">
                                </td>
                                <td height="8" style="background: url(/CardioLog/images/2010/ContainerBottomMiddle.gif);
                                    background-repeat: repeat-x;">
                                    <img src="/CardioLog/images/blank.gif" />
                                </td>
                                <td height="8" align="right" style="background: url(/CardioLog/images/2010/ContainerBottomRight.gif);
                                    background-repeat: no-repeat; width: 8px">
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>

                <tr id="unQuarentineHeader" runat="server">
                    <td>
                        <table cellpadding="0" cellspacing="0" border="0" width="100%" class="boxHeader">
                            <tr>
                                <td align="left" style="background: url(/CardioLog/images/2010/ContainerTopLeft.png);
                                    background-repeat: no-repeat; width: 6px">
                                </td>
                                <td class="boxHeaderText" style="background: url(/CardioLog/images/2010/ContainerTopBG.gif);
                                    background-repeat: repeat-x">
                                    &nbsp&nbsp<%=CardioLog.API.Localization.getText("$Quarantine Events$")%>
                                </td>
                                <td align="right" style="background: url(/CardioLog/images/2010/ContainerTopRight.png);
                                    width: 9px">
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr id="unQuarentineBody" runat="server">
                    <td class="boxContentWindow">
                        <table cellspacing="0" cellpadding="5" border="0" class="largeTextB">
                            <tbody>
                                <tr>
                                    <td valign="top">
                                        <table cellpadding="0" cellspacing="0" border="0">
                                            <tr>
                                                <td>
                                                    <img src="/CardioLog/images/2010/EmptyGreyBtnLeft.gif" style="margin-top: 4px;" />
                                                </td>
                                                <td>
                                                    <asp:Button ID="BtnUnQuarentine" runat="server"  OnClick="UnQuarentineEvents" CssClass="2010_GreyButtonSpace"
                                                        Width="120px"></asp:Button>
                                                </td>
                                                <td>
                                                    <img src="/CardioLog/images/2010/EmptyGreyBtnRight.gif" style="margin-right: 10px;
                                                        margin-top: 4px;" />
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                    </td>
                                    <asp:Label ID="LblUnQuarentineError" runat="server" CssClass="error" />
                                </tr>
                            </tbody>
                        </table>
                    </td>
                </tr>
                <tr id="unQuarentineFooter" runat="server">
                    <td>
                        <table cellpadding="0" cellspacing="0" border="0" width="100%">
                            <tr>
                                <td height="8" align="left" style="background: url(/CardioLog/images/2010/ContainerBottomLeft.gif);
                                    background-repeat: no-repeat; width: 6px">
                                </td>
                                <td height="8" style="background: url(/CardioLog/images/2010/ContainerBottomMiddle.gif);
                                    background-repeat: repeat-x;">
                                    <img src="/CardioLog/images/blank.gif" />
                                </td>
                                <td height="8" align="right" style="background: url(/CardioLog/images/2010/ContainerBottomRight.gif);
                                    background-repeat: no-repeat; width: 8px">
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>


                <%--<tr><td style="height:10px"><img src="/CardioLog/images/blank.gif" /></td></tr>
			    <TR>
				    <TD>
					    <TABLE cellpadding="0" cellspacing="0" border="0" width="100%" class="boxHeader">
			                <tr>
			                    <td align="left" style="background:url(/CardioLog/images/2010/ContainerTopLeft.png); background-repeat:no-repeat; width:6px"></td>
				                <td class="boxHeaderText" style="background:url(/CardioLog/images/2010/ContainerTopBG.gif); background-repeat:repeat-x">&nbsp&nbsp<%=CardioLog.API.Localization.getText("$Delete History Usage Data$")%></td>
				                <td align="right" style="background:url(/CardioLog/images/2010/ContainerTopRight.png); width:9px"></td>
			                </tr>
	                    </table>
				    </TD>
			    </TR>
			    <tr>
				    <td class="boxContentWindow">			
			            <table cellspacing="0" cellpadding="5" border="0" class="largeTextB">
		                    <tbody>    					                    
		                        <tr>
			                        <td><%=CardioLog.API.Localization.getText("$Date Range$")%>: <asp:textbox id="txtDateRange" runat="server" CssClass="inputText" enabled=false></asp:textbox>&nbsp&nbsp;&nbsp;</td>
			                        <td><table cellpadding=0 cellspacing=0 border=0>
                                        <tr>		
		                                    <td><img src="/CardioLog/images/2010/EmptyGreyBtnLeft.gif" /></td>
		                                    <td><input id="btnMore" type="button" class="2010_GreyButton" value="..." runat="server" onclick="openDialog();" /></td>
		                                    <td><img src="/CardioLog/images/2010/EmptyGreyBtnRight.gif" style="margin-right:10px"/></td>
                                        </tr>
                                    </table></td>
			                        <td><input id="txtDate" type="hidden" runat="server"></td>
		                        </tr>
		                        <tr>
			                        <td><%=CardioLog.API.Localization.getText("$Source$")%>: &nbsp;&nbsp;<asp:textbox id="txtSource" runat="server" CssClass="inputText" enabled=false></asp:textbox></td>
			                        <td><table cellpadding=0 cellspacing=0 border=0>
                                        <tr>		
		                                    <td><img src="/CardioLog/images/2010/EmptyGreyBtnLeft.gif" /></td>
		                                    <td><input id="btnSource" type="button" class="2010_GreyButton" value="..." runat="server" onclick="chooseSource();" /></td>
		                                    <td><img src="/CardioLog/images/2010/EmptyGreyBtnRight.gif" style="margin-right:10px"/></td>
                                        </tr>
                                    </table></td>
			                        <td><input id="txtID" type="hidden" runat="server"></td>
		                        </tr>
		                         <tr>
                                    <td colspan="3">
                                        <a runat="server" id="advancedTitle" href="javascript:void(0);" onclick="toggleAdvanced()" style="text-decoration:underline"><%=CardioLog.API.Localization.getText("$Show Advanced Options$")%></a>
                                        <div runat="server" id="advanced" style="display:none;">
                                            <asp:checkbox id="chkLostEvents" runat="server" Text="Delete Lost Events"></asp:checkbox>
                                        </div>
                                    </td>
		                        </tr>
		                        <tr>
		                            <td colspan="3"><img src="/CardioLog/images/blank.gif" width="1" height="7"/></td>
		                        </tr>
		                        <tr>
		                            <td><table cellpadding=0 cellspacing=0 border=0>
                                            <tr>		
			                                    <td><img src="/CardioLog/images/2010/EmptyGreyBtnLeft.gif" /></td>
			                                    <td><asp:Button id="btnDeleteRawData" runat="server" Text="Delete" onclick="DeleteRawReportingData" CssClass="2010_GreyButtonSpace" Width="80px"></asp:Button></td>
			                                    <td><img src="/CardioLog/images/2010/EmptyGreyBtnRight.gif" style="margin-right:10px"/></td>
                                            </tr>
                                        </table>	                                
		                                <asp:Button ID="btnConfirmDelete" runat="server" Text="Button" style="display:none" OnClick="ConfirmDelete_Click" />
                                    </td>
                                    <td colspan="2">
		                                <asp:Label ID="LblError2" runat="server" CssClass="error" />
		                            </td>
		                        </tr>
		                    </tbody>						        
			            </table>
	                </td>
			    </tr>	
			    <tr>
                    <td>			
                        <table cellpadding="0" cellspacing="0" border="0" width="100%">
                            <tr>
                                <td height="8" align="left" style="background:url(/CardioLog/images/2010/ContainerBottomLeft.gif); background-repeat:no-repeat; width:6px"></td>
	                            <td height="8" style="background:url(/CardioLog/images/2010/ContainerBottomMiddle.gif); background-repeat:repeat-x;"><img src="/CardioLog/images/blank.gif" /></td>
	                            <td height="8" align="right" style="background:url(/CardioLog/images/2010/ContainerBottomRight.gif); background-repeat:no-repeat; width:8px"></td>
                            </tr>
                        </table>
			        </td>
			    </tr>	--%>
            </tbody>
        </table>
        <asp:Literal ID="JsScript" runat="server"></asp:Literal>
        </form>
    </div>
</body>
</html>
